Restore a removed comment on a post (staff)
POST /api/communities/{communityId}/comments/{commentId}/restoration. Restore a removed comment on a post (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Publishes the comment again. Restoring a comment that is not removed returns it unchanged.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/comments/string/restoration"{ "id": "string", "activityId": "string", "postId": "string", "communityId": "string", "parentId": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "body": "string", "status": "pending", "removedBy": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Remove a comment on a post (staff) POST
POST /api/communities/{communityId}/comments/{commentId}/removal. Remove a comment on a post (staff). Headless LMS Communities API reference.
Dismiss the open flags on a comment (staff) POST
POST /api/communities/{communityId}/comments/{commentId}/flags/resolution. Dismiss the open flags on a comment (staff). Headless LMS Communities API reference.